Levain LabsLevain Labs
API ReferenceAuthentication

Create Api Key

Create API key (WARNING: only shown once on creation).

POST
/api/v1/auth/api-keys

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Header Parameters

X-API-Key?|

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name*string

Response Body

application/json

application/json

curl -X POST "https://api.levainlabs.com/api/v1/auth/api-keys" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "key": "string",
  "is_active": true,
  "last_used_at": "2019-08-24T14:15:22Z",
  "created_at": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}